Need Some Help

deedie

Inactive User
Joined
Nov 21, 2005
Messages
3,509
Reaction score
236
just got a wii very cheap. and i had bought it, just so i could hack it and play games from the hard drive.

but when i booted it, it already had the homebrew channel and backup loader channels on it already. i have no idea what hack has been done to it, or how upto date it is.

is there anyway i can find this out, and what should i do to get it upto date.

am i best putting it back to official firmware and starting again?? considering that i bought it to play around with hacking it.

any help appreciated, cheers
 

oneman

VIP Member
VIP Member
Joined
Aug 23, 2007
Messages
7,504
Reaction score
1,283
Location
Essex
I don't think you need to put the office firmware back, just follow the guide in the sticky starting form the point after loading homebrew. This will also replace the backup loader channels with the latest ones.
 

deedie

Inactive User
Joined
Nov 21, 2005
Messages
3,509
Reaction score
236
do u mean the guide that bally12345 posted.

the system version i have is 3.3e, do i need to update to the latest one??
 

thescrapyard

Inactive User
Joined
Nov 15, 2007
Messages
318
Reaction score
16
If you want to update, it should be safe to update to 4.3 via this method, its basically the same as the 'official' upgrade, but doesn't remove the HomeBrew Channel, but you NEED a 'net connection as its only an online updater

UPDATED: Firmware Updater 4.3B (Waninkoko official)


Otherwise, you could risk doing an 'official' update which WILL erase your HomeBrew Channel and then reinstall the HomeBrew Channel for 4.3 firmware, BUT you WILL need an ORIGINAL of Lego Indiana Jones to install the 4.3 firmware softmod

The 4.3 Softmod Guide


Or just leave the upgrade and softmodding until you have games that refuse to run unless you install 4.2/4.3 firmware
 

oneman

VIP Member
VIP Member
Joined
Aug 23, 2007
Messages
7,504
Reaction score
1,283
Location
Essex
Not sure, my console was already at 4.2e.
 

deedie

Inactive User
Joined
Nov 21, 2005
Messages
3,509
Reaction score
236
If you want to update, it should be safe to update to 4.3 via this method, its basically the same as the 'official' upgrade, but doesn't remove the HomeBrew Channel, but you NEED a 'net connection as its only an online updater

UPDATED: Firmware Updater 4.3B (Waninkoko official)


Otherwise, you could risk doing an 'official' update which WILL erase your HomeBrew Channel and then reinstall the HomeBrew Channel for 4.3 firmware, BUT you WILL need an ORIGINAL of Lego Indiana Jones to install the 4.3 firmware softmod

The 4.3 Softmod Guide


Or just leave the upgrade and softmodding until you have games that refuse to run unless you install 4.2/4.3 firmware


the first link that u posted made no sense to me at all. this is the first time i have ever looked at hacking the wii, that link looked as if it was for someone that knew what they were doing.

NOTE: THIS POST AND LINK HAVE BEEN EDITED TO REFLECT THE CHANGE FROM 4.3 TO 4.3B:
There's a bug in Firmware Updater 4.3 when patching the System Menu from USA and JAP firmwares, so the homebrew channels get removed after the update. Firmware Updater 4.3b fixes the bug so USA and JAP users can use it now with no worries. If you are a PAL user and you already used Firmware Updater 4.3 you do NOT have to use this one.

[ DISCLAIMER ]:

- THIS APPLICATION COMES WITH NO WARRANTY AT ALL, NEITHER EXPRESS NOR IMPLIED.
I DO NOT TAKE ANY RESPONSIBILITY FOR ANY DAMAGE IN YOUR WII CONSOLE
BECAUSE OF A IMPROPER USAGE OF THIS SOFTWARE.


[ DESCRIPTION ]:

- This application allows you to update your console's firmware by installing the
most important available updates (IOS, System Menu, new channels...).

The application will avoid the installation of any non-desired applications and
do an optional patching to add some new features (eg: Trucha bug).


[ REQUISITES ]:

- 150-300 free blocks.
- Internet connection or SD card + needed WAD files.


[ HOW TO USE ]:

- Run the application using any method to load homebrew.
- Select the IOS version to use for the update (IOS249 recommended if available).
- Select the preferred installation method.
- Select if the IOS and the System Menu patching should be done (NO by default).


[ KUDOS ]:

- Team Twiizers
- devkitPRO Team
- frontier
- starcube
- All my betatesters.



i have been doing a bit of research and by the looks of things the best version to use is 4.1, im really confused with this. alot of information, but no definate answers on what is the best way to go from 3.3e
 

Bad_Ad84

Inactive User
Joined
Aug 5, 2009
Messages
185
Reaction score
5
DO NOT UPDATE TO 4.3

there is no need to be "upto date"

the best system menu is 4.1 and any new ios's you can just install manually.
 
TEST
Top